Bug 1182566 - USB cellular 3G/4G modem not working in Fedora 21
Summary: USB cellular 3G/4G modem not working in Fedora 21
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ModemManager
Version: 21
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-15 13:28 UTC by Ivan Vlk
Modified: 2015-12-02 17:05 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 07:28:01 UTC
Type: Bug


Attachments (Terms of Use)
Part of /var/log/messages (9.39 KB, text/plain)
2015-01-15 13:29 UTC, Ivan Vlk
no flags Details

Description Ivan Vlk 2015-01-15 13:28:05 UTC
Description of problem:


Since my upggrade to Fedora 21 Modem Manager seems to be broken. It can't properly setup my USB modem anymore, so I can't connect to network. Modem itself is working on Windows OS, with the same SIM card.

I though this is some temporary issue, but seems, that it's not even reported.


Version-Release number of selected component (if applicable):

ModemManager-1.4.0-1.fc21.x86_64

How reproducible:

Always same behavior


Steps to Reproduce:
1. Insert USB modem
2. enter PIN
3. try to connect using NetworkManager.

Actual results:

Jan 15 13:28:18 localhost ModemManager[732]: <warn>  couldn't load Supported Modes: 'Couldn't retrieve supported modes'
Jan 15 13:28:18 localhost ModemManager[732]: <warn>  couldn't load Supported IP families: 'SIM not inserted'
Jan 15 13:28:18 localhost ModemManager[732]: <info>  Modem: state changed (unknown -> locked)
Jan 15 13:28:18 localhost ModemManager[732]: <warn>  couldn't load SIM identifier: 'Unknown error'
Jan 15 13:28:18 localhost ModemManager[732]: <warn>  couldn't load IMSI: 'SIM not inserted'
Jan 15 13:28:18 localhost ModemManager[732]: <warn>  couldn't load Operator identifier: 'Unknown error'
Jan 15 13:28:18 localhost ModemManager[732]: <warn>  couldn't load Operator name: 'Unknown error'
Jan 15 13:28:18 localhost ModemManager[732]: <warn>  couldn't load list of Own Numbers: 'SIM not inserted'


Expected results:

Modem should connect to 3G nw


Additional info:

Comment 1 Ivan Vlk 2015-01-15 13:29:13 UTC
Created attachment 980495 [details]
Part of /var/log/messages

Comment 2 domgross 2015-01-21 00:15:24 UTC
I have similar issues. My Huawei K3765 no longer works with F21. I am never prompted for a PIN, Mobile Broadband in NetworkManager is always off, stored connections cannot be edited, i.e. this seems utterly broken. This may be a different problem.

After plugging the device in usb_modeswitch is doing its job:

Bus 001 Device 007: ID 12d1:1465 Huawei Technologies Co., Ltd. K3765 HSPA
 
Pressing connect in the NetworkManager GUI the connection can be configured, but there is no query for the SIM PIN. Also the connection created this way cannot be edited in the GUI and does not show up in the GUI for a while.


Relevant logs from ModemManager:

Jan 03 05:49:13 x220 ModemManager[629]: <warn>  (ttyUSB2): port attributes not fully set
Jan 03 05:49:13 x220 ModemManager[629]: <warn>  (ttyUSB1): port attributes not fully set
Jan 03 05:49:14 x220 ModemManager[629]: <warn>  (ttyUSB0): port attributes not fully set
Jan 03 05:49:16 x220 ModemManager[629]: <warn>  (ttyUSB2): port attributes not fully set
Jan 03 05:49:16 x220 ModemManager[629]: <warn>  (ttyUSB1): port attributes not fully set
Jan 03 05:49:26 x220 ModemManager[629]: <info>  Creating modem with plugin 'Huawei' and '4' ports
Jan 03 05:49:26 x220 ModemManager[629]: <warn>  (ttyUSB2): port attributes not fully set
Jan 03 05:49:26 x220 ModemManager[629]: <info>  Modem for device at '/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2' successfully created
Jan 03 05:49:26 x220 ModemManager[629]: Error while checking ^SYSCFGEX format: Unknown error
Jan 03 05:49:26 x220 ModemManager[629]: <warn>  couldn't load Supported IP families: 'SIM PIN required'
Jan 03 05:49:26 x220 ModemManager[629]: <info>  Modem: state changed (unknown -> locked)
Jan 03 05:49:26 x220 ModemManager[629]: <warn>  couldn't load IMSI: 'SIM PIN required'
Jan 03 05:49:26 x220 ModemManager[629]: <warn>  couldn't load Operator identifier: 'Cannot load Operator ID without IMSI'
Jan 03 05:49:26 x220 ModemManager[629]: <warn>  couldn't load list of Own Numbers: 'Failed to parse NV MDN command result: -17'


And for NetworkManager:

Jan 03 05:49:26 x220 NetworkManager[738]: <warn> (ttyUSB2): failed to look up interface index
Jan 03 05:49:26 x220 NetworkManager[738]: <warn> (ttyUSB2) cannot enable/disable modem: locked
Jan 03 05:49:26 x220 NetworkManager[738]: <info> (ttyUSB2): new Broadband device (driver: 'option1, cdc_ether' ifindex: 0)
Jan 03 05:49:26 x220 NetworkManager[738]: <info> (ttyUSB2): exported as /org/freedesktop/NetworkManager/Devices/3
Jan 03 05:49:26 x220 NetworkManager[738]: <info> (ttyUSB2): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Jan 03 05:49:26 x220 NetworkManager[738]: <info> (ttyUSB2): preparing device
Jan 03 05:49:26 x220 NetworkManager[738]: <info> (ttyUSB2): modem state 'locked'
Jan 03 05:49:26 x220 NetworkManager[738]: <info> (ttyUSB2): device state change: unavailable -> disconnected (reason 'none') [20 30 0]
Jan 03 05:50:07 x220 NetworkManager[738]: <warn> Failed to activate 'xxxxx': Connection 'xxxxx' is not available on the device 

However, with mmcli the modem works:

~ $ mmcli -m 0 --simple-connect="pin=xxxx,apn=xxx"
successfully connected the modem

~ $ mmcli -m 0

<snip>
  -------------------------
  Status   |           lock: 'none'
           | unlock retries: 'sim-pin (3), sim-pin2 (3), sim-puk (10), sim-puk2 (10)'
           |          state: 'connected'
           |    power state: 'on'
           |    access tech: 'umts'
           | signal quality: '20' (recent)

Comment 3 domgross 2015-01-21 01:10:42 UTC
btw. after unlocking the sim/modem via mmcli and a subsequent reboot (keeping the usb modem plugged in) NetworkManager works as expected ;) 
In other words, I can connect via NetworkManager, edit saved connections, etc.

Comment 4 senr 2015-02-04 22:46:45 UTC
I have the same problem with my Huawei E220 after upgrade from F20 to F21. In Windows it still works.
The workaround from domgross worked for me (thanks for that!), but only after I also edited /var/lib/NetworkManager/NetworkManager.state as described here[1]:

[main]
NetworkingEnabled=true
WirelessEnabled=true
WWANEnabled=false
WimaxEnabled=true


I set WWANEnabled=true and was able to connect again. I don't know if it worked in F20 with this setting or if it was disabled during the upgrade.
If I remove the modem, I have to unlock it again with mmcli before I can use it again.


[1] https://bbs.archlinux.org/viewtopic.php?pid=1447800#p1447800

Comment 5 Greg Sheremeta 2015-02-08 19:24:33 UTC
Same here. Sierra Wireless 340U (AT&T Beam, pretty popular) works great in Fedora 20. Doesn't work in Fedora 21.

Critical error message is:
ModemManager[517]: <warn>  Could not grab port (usbmisc/cdc-wdm0): 'Cannot add port 'usbmisc/cdc-wdm0', unsupported'
Feb 08 14:03:33 f21.lan ModemManager[517]: <warn>  Couldn't create modem for device at '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-8': Failed to find primary AT port



========================================================
Fedora 20 logs
========================================================

greg@f20:/dev % sudo systemctl status -n 100 ModemManager
ModemManager.service - Modem Manager
   Loaded: loaded (/usr/lib/systemd/system/ModemManager.service; enabled)
   Active: active (running) since Sun 2015-02-08 13:29:13 EST; 29min ago
 Main PID: 15277 (ModemManager)
   CGroup: /system.slice/ModemManager.service
           └─15277 /usr/sbin/ModemManager

Feb 08 13:29:13 f20 ModemManager[15277]: <info>  ModemManager (version 1.1.0-2.git20130913.fc20) starting...
Feb 08 13:29:13 f20 systemd[1]: Started Modem Manager.
Feb 08 13:29:15 f20 ModemManager[15277]: <warn>  Couldn't find support for device at '/sys/devices/pci0000:00/0000:00:1c.4/0000:03:00.0': not supported by any plugin
Feb 08 13:29:45 f20 ModemManager[15277]: [/dev/cdc-wdm0] Queried max control message size: 4096
Feb 08 13:29:46 f20 ModemManager[15277]: <info>  Creating modem with plugin 'Generic' and '2' ports
Feb 08 13:29:46 f20 ModemManager[15277]: <info>  Modem for device at '/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.7' successfully created
Feb 08 13:29:46 f20 ModemManager[15277]: [/dev/cdc-wdm0] Queried max control message size: 4096
Feb 08 13:29:46 f20 ModemManager[15277]: <info>  Modem: state changed (unknown -> disabled)
Feb 08 13:56:32 f20 ModemManager[15277]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (disabled -> enabling)
Feb 08 13:56:32 f20 ModemManager[15277]: <info>  Simple connect started...
Feb 08 13:56:32 f20 ModemManager[15277]: <info>  Simple connect state (4/8): Wait to get fully enabled
Feb 08 13:56:32 f20 ModemManager[15277]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality updated (0)
Feb 08 13:56:32 f20 ModemManager[15277]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: 3GPP Registration state changed (unknown -> registering)
Feb 08 13:56:32 f20 ModemManager[15277]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: access technology changed (unknown -> lte)
Feb 08 13:56:32 f20 ModemManager[15277]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: 3GPP Registration state changed (registering -> home)
Feb 08 13:56:32 f20 ModemManager[15277]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (enabling -> registered)
Feb 08 13:57:07 f20 ModemManager[15277]: <info>  Simple connect started...
Feb 08 13:57:07 f20 ModemManager[15277]: <info>  Simple connect state (4/8): Wait to get fully enabled
Feb 08 13:57:07 f20 ModemManager[15277]: <info>  Simple connect state (5/8): Register
Feb 08 13:57:07 f20 ModemManager[15277]: <info>  Simple connect state (6/8): Bearer
Feb 08 13:57:07 f20 ModemManager[15277]: <info>  Simple connect state (7/8): Connect
Feb 08 13:57:07 f20 ModemManager[15277]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (registered -> connecting)
Feb 08 13:57:07 f20 ModemManager[15277]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: state changed (connecting -> connected)
Feb 08 13:57:07 f20 ModemManager[15277]: <info>  Simple connect state (8/8): All done
Feb 08 13:57:07 f20 ModemManager[15277]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality updated (51)
Feb 08 13:57:10 f20 ModemManager[15277]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality updated (0)
...


dmesg

[416727.658131] usb 2-1.7: new high-speed USB device number 16 using ehci-pci
[416727.743757] usb 2-1.7: config 1 has an invalid interface number: 8 but max is 3
[416727.743762] usb 2-1.7: config 1 has no interface number 1
[416727.744251] usb 2-1.7: config 2 has an invalid interface number: 12 but max is 1
[416727.744254] usb 2-1.7: config 2 has an invalid interface number: 13 but max is 1
[416727.744256] usb 2-1.7: config 2 has an invalid interface number: 13 but max is 1
[416727.744257] usb 2-1.7: config 2 has no interface number 0
[416727.744259] usb 2-1.7: config 2 has no interface number 1
[416727.745231] usb 2-1.7: New USB device found, idVendor=1199, idProduct=9051
[416727.745234] usb 2-1.7: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[416727.745236] usb 2-1.7: Product: AirCard 340U
[416727.745238] usb 2-1.7: Manufacturer: Sierra Wireless, Incorporated
[416727.745239] usb 2-1.7: SerialNumber: 013323000526997
[416727.747774] cdc_mbim 2-1.7:2.12: cdc-wdm0: USB WDM device
[416727.747951] cdc_mbim 2-1.7:2.12 wwan0: register 'cdc_mbim' at usb-0000:00:1d.0-1.7, CDC MBIM, 5e:11:b9:6b:9e:98


lsusb
Bus 002 Device 016: ID 1199:9051 Sierra Wireless, Inc. 
...


usb-devices
T:  Bus=02 Lev=02 Prnt=02 Port=06 Cnt=03 Dev#= 16 Spd=480 MxCh= 0
D:  Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs=  2
P:  Vendor=1199 ProdID=9051 Rev=00.06
S:  Manufacturer=Sierra Wireless, Incorporated
S:  Product=AirCard 340U
S:  SerialNumber=013323000526997
C:  #Ifs= 2 Cfg#= 2 Atr=80 MxPwr=500mA
/usr/bin/usb-devices: line 79: printf: c: invalid number
I:  If#= 0 Alt= 0 #EPs= 1 Cls=02(commc) Sub=0e Prot=00 Driver=cdc_mbim
/usr/bin/usb-devices: line 79: printf: d: invalid number
I:  If#= 0 Alt= 1 #EPs= 2 Cls=0a(data ) Sub=00 Prot=02 Driver=cdc_mbim


========================================================
Fedora 21 logs
========================================================

[greg@f21 Desktop]$ systemctl status ModemManager
 ModemManager.service - Modem Manager
   Loaded: loaded (/usr/lib/systemd/system/ModemManager.service; enabled)
   Active: active (running) since Sun 2015-02-08 22:12:31 EST; 8h left
 Main PID: 517 (ModemManager)
   CGroup: /system.slice/ModemManager.service
           └─517 /usr/sbin/ModemManager

Feb 08 14:03:31 f21.lan ModemManager[517]: opening device...
Feb 08 14:03:31 f21.lan ModemManager[517]: [/dev/cdc-wdm0] Queried max control message size: 4096
Feb 08 14:03:33 f21.lan ModemManager[517]: getting open done result failed: closed
Feb 08 14:03:33 f21.lan ModemManager[517]: <info>  Creating modem with plugin 'Generic' and '2' ports
Feb 08 14:03:33 f21.lan ModemManager[517]: <warn>  Could not grab port (usbmisc/cdc-wdm0): 'Cannot add port 'usbmisc/cdc-wdm0', unsupported'
Feb 08 14:03:33 f21.lan ModemManager[517]: <warn>  Couldn't create modem for device at '/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-8': Failed to find primary AT port



dmesg

[ 6588.236062] usb 1-8: new high-speed USB device number 8 using ehci-pci
[ 6588.350894] usb 1-8: config 1 has an invalid interface number: 8 but max is 3
[ 6588.350904] usb 1-8: config 1 has no interface number 1
[ 6588.351553] usb 1-8: config 2 has an invalid interface number: 12 but max is 1
[ 6588.351566] usb 1-8: config 2 has an invalid interface number: 13 but max is 1
[ 6588.351575] usb 1-8: config 2 has an invalid interface number: 13 but max is 1
[ 6588.351583] usb 1-8: config 2 has no interface number 0
[ 6588.351591] usb 1-8: config 2 has no interface number 1
[ 6588.352432] usb 1-8: New USB device found, idVendor=1199, idProduct=9051
[ 6588.352442] usb 1-8: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 6588.352450] usb 1-8: Product: AirCard 340U
[ 6588.352457] usb 1-8: Manufacturer: Sierra Wireless, Incorporated
[ 6588.352463] usb 1-8: SerialNumber: 013323000526997
[ 6588.356393] cdc_mbim 1-8:2.12: cdc-wdm0: USB WDM device
[ 6588.357321] cdc_mbim 1-8:2.12 wwan0: register 'cdc_mbim' at usb-0000:00:1d.7-8, CDC MBIM, ca:55:68:08:4f:a5


lsusb
Bus 001 Device 008: ID 1199:9051 Sierra Wireless, Inc. 


usb-devices
T:  Bus=01 Lev=01 Prnt=01 Port=07 Cnt=02 Dev#=  8 Spd=480 MxCh= 0
D:  Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs=  2
P:  Vendor=1199 ProdID=9051 Rev=00.06
S:  Manufacturer=Sierra Wireless, Incorporated
S:  Product=AirCard 340U
S:  SerialNumber=013323000526997
C:  #Ifs= 2 Cfg#= 2 Atr=80 MxPwr=500mA
/bin/usb-devices: line 79: printf: c: invalid number
I:  If#= 0 Alt= 0 #EPs= 1 Cls=02(commc) Sub=0e Prot=00 Driver=cdc_mbim
/bin/usb-devices: line 79: printf: d: invalid number
I:  If#= 0 Alt= 1 #EPs= 2 Cls=0a(data ) Sub=00 Prot=02 Driver=cdc_mbim

Comment 6 blachniom 2015-02-25 16:49:59 UTC
Hi, seems that in F21 something is wrong with mobile broadband in general.

I used F20 with no problem. A week ago I upgraded to F21 and all I can see now in the logs regarding mobile broadband using qmi_wwan is this:

Feb 24 18:16:08 MYCOMPUTERNAME kernel: [ 1694.140118] usb 2-2: new high-speed USB device number 10 using ehci-pci
Feb 24 18:16:08 MYCOMPUTERNAME kernel: [ 1694.258889] usb 2-2: New USB device found, idVendor=19d2, idProduct=0166
Feb 24 18:16:08 MYCOMPUTERNAME kernel: [ 1694.258904] usb 2-2: New USB device strings: Mfr=3, Product=2, SerialNumber=4
Feb 24 18:16:08 MYCOMPUTERNAME kernel: [ 1694.258911] usb 2-2: Product: ZTE LTE Technologies MSM
Feb 24 18:16:08 MYCOMPUTERNAME kernel: [ 1694.258918] usb 2-2: Manufacturer: ZTE,Incorporated
Feb 24 18:16:08 MYCOMPUTERNAME kernel: [ 1694.258924] usb 2-2: SerialNumber: MF821_FFFS111111
Feb 24 18:16:08 MYCOMPUTERNAME kernel: [ 1694.261035] usb-storage 2-2:1.0: USB Mass Storage device detected
Feb 24 18:16:08 MYCOMPUTERNAME kernel: [ 1694.261488] scsi host12: usb-storage 2-2:1.0

[correct device switching and other unimportant garbage here removed cause the post is too long :) ]

Feb 24 18:16:15 MYCOMPUTERNAME kernel: [ 1701.610049] usb-storage 2-2:1.5: USB Mass Storage device detected
Feb 24 18:16:15 MYCOMPUTERNAME kernel: [ 1701.611124] scsi host13: usb-storage 2-2:1.5
Feb 24 18:16:15 MYCOMPUTERNAME mtp-probe: checking bus 2, device 11: "/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2"
Feb 24 18:16:15 MYCOMPUTERNAME mtp-probe: bus: 2, device: 11 was not an MTP device
Feb 24 18:16:15 MYCOMPUTERNAME kernel: [ 1701.647370] qmi_wwan 2-2:1.4 wwp0s29f7u2i4: renamed from wwan0
Feb 24 18:16:16 MYCOMPUTERNAME ModemManager[699]: <warn>  (ttyUSB3): port attributes not fully set
Feb 24 18:16:16 MYCOMPUTERNAME ModemManager[699]: <warn>  (ttyUSB1): port attributes not fully set
Feb 24 18:16:16 MYCOMPUTERNAME ModemManager[699]: <warn>  (ttyUSB2): port attributes not fully set
Feb 24 18:16:16 MYCOMPUTERNAME kernel: [ 1702.613682] scsi 13:0:0:0: CD-ROM            L_T_E     USB SCSI CD-ROM  USB PQ: 0 ANSI: 0
Feb 24 18:16:16 MYCOMPUTERNAME kernel: [ 1702.614501] scsi 13:0:0:1: Direct-Access     ZTE      MMC Storage      2.31 PQ: 0 ANSI: 0
Feb 24 18:16:16 MYCOMPUTERNAME kernel: [ 1702.618872] sr 13:0:0:0: [sr1] scsi-1 drive
Feb 24 18:16:16 MYCOMPUTERNAME kernel: [ 1702.619358] sr 13:0:0:0: Attached scsi generic sg2 type 5
Feb 24 18:16:16 MYCOMPUTERNAME kernel: [ 1702.619652] sd 13:0:0:1: Attached scsi generic sg3 type 0
Feb 24 18:16:16 MYCOMPUTERNAME kernel: [ 1702.634754] sd 13:0:0:1: [sdb] Attached SCSI removable disk
Feb 24 18:16:17 MYCOMPUTERNAME ModemManager[699]: <warn>  (ttyUSB0): port attributes not fully set
Feb 24 18:16:19 MYCOMPUTERNAME ModemManager[699]: <warn>  (ttyUSB3): port attributes not fully set
Feb 24 18:16:19 MYCOMPUTERNAME ModemManager[699]: <warn>  (ttyUSB1): port attributes not fully set
Feb 24 18:16:19 MYCOMPUTERNAME ModemManager[699]: <warn>  (ttyUSB2): port attributes not fully set
Feb 24 18:16:23 MYCOMPUTERNAME ModemManager[699]: <warn>  (Plugin Manager) (ttyUSB3): plugin mismatch error (expected: 'ZTE', got: 'Generic')
Feb 24 18:16:35 MYCOMPUTERNAME ModemManager[699]: <warn>  (Plugin Manager) (ttyUSB1): plugin mismatch error (expected: 'ZTE', got: 'Generic')
Feb 24 18:16:35 MYCOMPUTERNAME ModemManager[699]: <info>  Creating modem with plugin 'ZTE' and '6' ports
Feb 24 18:16:35 MYCOMPUTERNAME ModemManager[699]: <warn>  Could not grab port (tty/ttyUSB1): 'Cannot add port 'tty/ttyUSB1', unhandled serial type'
Feb 24 18:16:35 MYCOMPUTERNAME ModemManager[699]: <info>  Modem for device at '/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-2' successfully created
Feb 24 18:16:35 MYCOMPUTERNAME ModemManager[699]: <warn>  (ttyUSB2): port attributes not fully set
Feb 24 18:16:35 MYCOMPUTERNAME ModemManager[699]: <warn>  couldn't load list of Own Numbers: 'Couldn't get MSISDN: QMI protocol error (16): 'NotProvisioned''
Feb 24 18:16:35 MYCOMPUTERNAME ModemManager[699]: <info>  Modem: state changed (unknown -> disabled)
Feb 24 18:16:35 MYCOMPUTERNAME NetworkManager[726]: <warn>  (cdc-wdm0): failed to look up interface index
Feb 24 18:16:35 MYCOMPUTERNAME NetworkManager[726]: <info>  (cdc-wdm0): modem state changed, 'disabled' --> 'enabling' (reason: user preference)
Feb 24 18:16:35 MYCOMPUTERNAME NetworkManager[726]: <info>  (cdc-wdm0): new Broadband device (driver: 'qmi_wwan, option1' ifindex: 0)
Feb 24 18:16:35 MYCOMPUTERNAME NetworkManager[726]: <info>  (cdc-wdm0): exported as /org/freedesktop/NetworkManager/Devices/8
Feb 24 18:16:35 MYCOMPUTERNAME NetworkManager[726]: <info>  (cdc-wdm0): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Feb 24 18:16:35 MYCOMPUTERNAME ModemManager[699]: <info>  Modem /org/freedesktop/ModemManager1/Modem/4: state changed (disabled -> enabling)
Feb 24 18:16:35 MYCOMPUTERNAME NetworkManager[726]: <info>  (cdc-wdm0): preparing device
Feb 24 18:16:35 MYCOMPUTERNAME NetworkManager[726]: <info>  (cdc-wdm0): modem state 'enabling'
Feb 24 18:16:35 MYCOMPUTERNAME NetworkManager[726]: <info>  (cdc-wdm0): device state change: unavailable -> disconnected (reason 'none') [20 30 0]
Feb 24 18:16:35 MYCOMPUTERNAME ModemManager[699]: <warn>  (ttyUSB2): port attributes not fully set
Feb 24 18:16:35 MYCOMPUTERNAME ModemManager[699]: <warn>  (ttyUSB3): port attributes not fully set
Feb 24 18:16:35 MYCOMPUTERNAME ModemManager[699]: <info>  Modem /org/freedesktop/ModemManager1/Modem/4: state changed (enabling -> enabled)
Feb 24 18:16:35 MYCOMPUTERNAME NetworkManager[726]: <info>  (cdc-wdm0): modem state changed, 'enabling' --> 'enabled' (reason: user-requested)
Feb 24 18:16:37 MYCOMPUTERNAME NetworkManager[726]: <info>  Activation (cdc-wdm0) starting connection 'ISP'
Feb 24 18:16:37 MYCOMPUTERNAME NetworkManager[726]: <info>  Activation (cdc-wdm0) Stage 1 of 5 (Device Prepare) scheduled...
Feb 24 18:16:37 MYCOMPUTERNAME NetworkManager[726]: <info>  Activation (cdc-wdm0) Stage 1 of 5 (Device Prepare) started...
Feb 24 18:16:37 MYCOMPUTERNAME NetworkManager[726]: <info>  (cdc-wdm0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Feb 24 18:16:37 MYCOMPUTERNAME NetworkManager[726]: <info>  Activation (cdc-wdm0) Stage 1 of 5 (Device Prepare) complete.
Feb 24 18:16:37 MYCOMPUTERNAME ModemManager[699]: <info>  Simple connect started...
Feb 24 18:16:37 MYCOMPUTERNAME ModemManager[699]: <info>  Simple connect state (4/8): Wait to get fully enabled
Feb 24 18:16:37 MYCOMPUTERNAME ModemManager[699]: <info>  Simple connect state (5/8): Register
Feb 24 18:17:38 MYCOMPUTERNAME ModemManager[699]: <info>  Modem /org/freedesktop/ModemManager1/Modem/4: 3GPP Registration state changed (unknown -> idle)
Feb 24 18:17:38 MYCOMPUTERNAME NetworkManager[726]: <warn>  (cdc-wdm0) failed to connect modem: Network timeout
Feb 24 18:17:38 MYCOMPUTERNAME NetworkManager[726]: <info>  (cdc-wdm0): device state change: prepare -> failed (reason 'gsm-registration-timeout') [40 120 32]
Feb 24 18:17:38 MYCOMPUTERNAME NetworkManager[726]: <warn>  Activation (cdc-wdm0) failed for connection 'ISP'
Feb 24 18:17:38 MYCOMPUTERNAME NetworkManager[726]: <info>  (cdc-wdm0): device state change: failed -> disconnected (reason 'none') [120 30 0]
Feb 24 18:17:38 MYCOMPUTERNAME NetworkManager[726]: <info>  (cdc-wdm0): deactivating device (reason 'none') [0]

Not much else. If I blacklist qmi_wwan and use ppp only, the connection works more or less fine (with packet loss). But with F20 it worked flawlessly. Like a few days ago.
And one more thing. When I click the nm-applet to connect to the mobile broadbang connection of my ISP, the service says "not registered" (whereas when using ppp it says "ISP LTE") and circles the connection with grey only dots when trying to connect. Like it's missing a step.
I've even disabled PIN verification. No change.

Relevant software (probably incomplete list) below:
NetworkManager-0.9.10.1-3.20150219git.fc21.x86_64
NetworkManager-wifi-0.9.10.1-3.20150219git.fc21.x86_64
NetworkManager-glib-0.9.10.1-3.20150219git.fc21.x86_64
NetworkManager-wwan-0.9.10.1-3.20150219git.fc21.x86_64
NetworkManager-config-connectivity-fedora-0.9.10.1-3.20150219git.fc21.x86_64
ModemManager-1.4.0-1.fc21.x86_64
ModemManager-glib-1.4.0-1.fc21.x86_64
libqmi-utils-1.12.4-1.fc22.x86_64
libqmi-1.12.4-1.fc22.x86_64
kernel/qmi_wwan - 3.18.7-200.fc21.x86_64 (tried reverting to F20 3.15.4 kernel, still nothing, must be user-space tools).

Anything else to help diagnose the problem?
Thanks
Smirk

Comment 7 Dan Williams 2015-02-25 18:31:47 UTC
For those of you with a SIM PIN, please try the latest NetworkManager update as that has a known fix to handle an issue with PINs.

Smirk: what do you get for these commands?

sudo qmicli -p -d /dev/cdc-wdm0 --dms-get-operating-mode
sudo qmicli -p -d /dev/cdc-wdm0 --nas-get-serving-system
sudo qmicli -p -d /dev/cdc-wdm0 --nas-get-home-network

Comment 8 blachniom 2015-02-25 18:43:04 UTC
Hi, 
thank you for your interest in this. It messed up my work a bit as I mostly rely on WWAN nowadays.
I enabled an internal modem to test it also (also not working), so the ZTE I have trouble with is under cdc-wdm2 now. 

The results (location xed-out):

sudo qmicli -p -d /dev/cdc-wdm2 --dms-get-operating-mode
[/dev/cdc-wdm2] Operating mode retrieved:
	Mode: 'online'
	HW restricted: 'no'

sudo qmicli -p -d /dev/cdc-wdm2 --nas-get-serving-system
[/dev/cdc-wdm2] Successfully got serving system:
	Registration state: 'registered'
	CS: 'attached'
	PS: 'attached'
	Selected network: '3gpp'
	Radio interfaces: '1'
		[0]: 'lte'
	Roaming status: 'off'
	Data service capabilities: '1'
		[0]: 'lte'
	Current PLMN:
		MCC: '260'
		MNC: '1'
		Description: 'ISP'
	Roaming indicators: '1'
		[0]: 'off' (lte)
	3GPP time zone offset: 'xx' minutes
	3GPP daylight saving time adjustment: '0' hours
	3GPP location area code: 'xxxxx'
	3GPP cell ID: 'xxxxxxx'
	Detailed status:
		Status: 'available'
		Capability: 'cs-ps'
		HDR Status: 'none'
		HDR Hybrid: 'no'
		Forbidden: 'no'
	LTE tracking area code: 'xxxxx'
	Full operator code info:
		MCC: '260'
		MNC: '1'
		MNC with PCS digit: 'no'

sudo qmicli -p -d /dev/cdc-wdm2 --nas-get-home-network
[/dev/cdc-wdm2] Successfully got home network:
	Home network:
		MCC: '260'
		MNC: '1'
		Description: 'ISP'

Regards
Smirk

Comment 9 domgross 2015-02-26 20:00:51 UTC
(In reply to Dan Williams from comment #7)
> For those of you with a SIM PIN, please try the latest NetworkManager update
> as that has a known fix to handle an issue with PINs.



Are you referring to NetworkManager-0.9.10.1-3.20150219git.fc21.x86_64? That did not help, also the workaround mentioned above no longer works. I disabled the sim-pin to get a working. This is not really my preferred solution but sure beats not having no usable 3G connection.

Comment 10 blachniom 2015-03-06 08:19:33 UTC
Hi,
I've just updated ModemManager from the updates-testing repository and it's... different now.
At first when I rebooted to make sure everything is cleanly started, I saw there was no ModemManager service present. Trying to run in manually resulted in a message:

/usr/sbin/ModemManager: symbol lookup error: /usr/sbin/ModemManager: undefined symbol: mbim_message_response_get_result

I though it might be a problem of a not-so-recent version of libmbim and apparently was right. The symbol was introduced in libmbim version 1.12. I manually updated libmbim and libmbim-utils to a version 1.12.0-1.fc21 available here: http://koji.fedoraproject.org/koji/buildinfo?buildID=617228 and so the ModemManager service was started successfully. 
On the other hand something weird started to happen. I started getting flooded by network re-registration messages:

Mar  6 09:08:53 MYCOMPUTERNAME ModemManager[2720]: <info>  Modem /org/freedesktop/ModemManager1/Modem/1: 3GPP Registration state changed (home -> searching)
Mar  6 09:08:53 MYCOMPUTERNAME ModemManager[2720]: <info>  Modem /org/freedesktop/ModemManager1/Modem/1: 3GPP Registration state changed (searching -> idle)
Mar  6 09:08:53 MYCOMPUTERNAME ModemManager[2720]: <info>  Modem /org/freedesktop/ModemManager1/Modem/1: 3GPP Registration state changed (idle -> registering)
Mar  6 09:08:53 MYCOMPUTERNAME ModemManager[2720]: <info>  Modem /org/freedesktop/ModemManager1/Modem/1: 3GPP Registration state changed (registering -> home)

So one problem is partly resolved. Stands to reason that once the Fedora team releases an official libmbim package, everything is going to work smoothly and it's just a problem of an unsupported libmbim 1.12 version I forced into my system.

Comment 11 blachniom 2015-03-06 10:55:31 UTC
Huge packet loss BTW, when re-registering to the network.

Comment 12 blachniom 2015-03-13 10:16:45 UTC
Hi,
Alright, seems that the new versions available at updates-testing, namely:

libmbim-1.12.0-1.fc21.x86_64
libqmi-1.12.4-2.fc21.x86_64
ModemManager-1.4.4-2.fc21.x86_64
libqmi-utils-1.12.4-2.fc21.x86_64
ModemManager-glib-1.4.4-2.fc21.x86_64
libmbim-utils-1.12.0-1.fc21.x86_64
NetworkManager-wwan-0.9.10.2-1.fc21.x86_64

solved the problem for me. 
I can now plug my modem, see it correctly recognized in the logs, get it registered on the network and establish a stable connection. No packet loss.

Thank you, this really is great that you could find and correct the problem on such short notice.

Comment 13 blachniom 2015-03-13 10:18:39 UTC
Mind you, I had no trouble plugging the modem before as you could understand from the above post ;-)

Comment 14 maic 2015-07-15 16:19:50 UTC
Just did an update from fedora 20 to fedora 22 and mobile data is no longer working:

$ nmcli radio 
WIFI-HW  WIFI     WWAN-HW  WWAN    
enabled  enabled  enabled  enabled 

$ nmcli connection up id  Netzclub\ Internet 
Error: Connection activation failed: Connection 'Netzclub Internet' is not available on the device ttyUSB2 at this time.


after

$ mmcli -m 1 --simple-connect="pin=1234,apn=pinternet.interkom.de"

I get

$ nmcli connection up id Netzclub\ Internet 
Error: Connection activation failed: Active connection removed before it was initialized

Comment 15 Fedora Admin XMLRPC Client 2015-08-18 14:53:51 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 16 Fedora End Of Life 2015-11-04 10:05:19 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2015-12-02 07:28:05 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.